/****************************************************************************
File    : PaletteAdvDlg.h
/*
@(#) #SY# Atari800Win
@(#) #IS# Interface of the CPaletteAdvDlg class
@(#) #BY# Tomasz Szymankowski
@(#) #LM# 14.10.2000
*/

#ifndef __PALETTEADVDLG_H__
#define __PALETTEADVDLG_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


/////////////////////////////////////////////////////////////////////////////
// CPaletteAdvDlg dialog

class CPaletteAdvDlg : public CDialog
{
// Construction
public:
	CPaletteAdvDlg( ULONG *pMiscStates,
					int   *pBlackLevel,
					int   *pWhiteLevel,
					int   *pIntensity,
					int   *pShift,
					CWnd  *pParent = NULL );   // standard constructor

// Interface: operations
public:

// Interface: attributes
public:

// Dialog Data
	//{{AFX_DATA(CPaletteAdvDlg)
	enum { IDD = IDD_PALETTEADV };
	//}}AFX_DATA

// Implementation: operations
private:
	void SetDlgState   ();
	void ReceiveFocused();

// Implementation: overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPaletteAdvDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation: attributes
private:
	int    m_nBlackLevel;
	int   *m_pBlackLevel;
	int    m_nWhiteLevel;
	int   *m_pWhiteLevel;
	int    m_nIntensity;
	int   *m_pIntensity;
	int    m_nShift;
	int   *m_pShift;
	ULONG *m_pMiscStates;
	ULONG  m_ulMiscStates;

// Generated message map functions
protected:
	//{{AFX_MSG(CPaletteAdvDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDeltaposBlackSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusBlackLevel();
	afx_msg void OnDeltaposWhiteSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusWhiteLevel();
	afx_msg void OnDeltaposIntensitySpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusColorIntensity();
	afx_msg void OnDeltaposShiftSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusColorShift();
	afx_msg void OnTransLoaded();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //__PALETTEADVDLG_H__
